> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search model versions

> Get metadata for a model version.



## OpenAPI

````yaml /api-specs/cloud/public-api.json get /api/2.0/mlflow/model-versions/search
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: MLflow experiments and runs
  - name: MLflow models
  - name: MLflow artifacts
  - name: MLflow traces
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/2.0/mlflow/model-versions/search:
    get:
      tags:
        - MLflow models
      description: Get metadata for a model version.
      operationId: modelVersions.Search
      parameters:
        - name: filter
          in: query
          required: false
          description: >-
            String filter condition, like “name LIKE ‘my-model-name’”.
            Interpreted in the backend automatically as “name LIKE
            ‘%my-model-name%’”. Single boolean condition, with string values
            wrapped in single quotes.
          schema:
            type: string
        - name: max_results
          in: query
          required: false
          description: Max number of results to include in response. Defaults to 10000.
          schema:
            format: int64
            type: integer
        - name: order_by
          in: query
          required: false
          description: >-
            List of columns for ordering search results, which can include model
            name and last updated timestamp with an optional “DESC” or “ASC”
            annotation, where “ASC” is the default. Tiebreaks are done by model
            name ASC.
          schema:
            items:
              type: string
            type: array
        - name: page_token
          in: query
          required: false
          description: >-
            Pagination token to go to the next page based on a previous search
            query. Note: This may by broken in mlflow 2.2.2
          schema:
            type: string
      responses:
        '200':
          description: Model Versions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/mlflow-proxy_SearchModelVersionsResponse'
        default:
          $ref: '#/components/responses/mlflow-proxy_MLflowNativeError'
components:
  schemas:
    mlflow-proxy_SearchModelVersionsResponse:
      type: object
      properties:
        model_versions:
          type: array
          items:
            $ref: '#/components/schemas/mlflow-proxy_ModelVersion'
          description: Model versions that match the search criteria.
        next_page_token:
          type: string
          description: Pagination token to request the next page of models.
    mlflow-proxy_ModelVersion:
      properties:
        name:
          description: Unique name of the model.
          type: string
        version:
          description: Model's version number.
          type: string
        creation_timestamp:
          description: Timestamp recorded when this model_version was created.
          type: integer
          format: int64
        last_updated_timestamp:
          description: >-
            Timestamp recorded when metadata for this model_version was last
            updated.
          type: integer
          format: int64
        user_id:
          description: User that created this model_version.
          type: string
        current_stage:
          description: Current stage for this model_version.
          type: string
        description:
          description: Description of this model_version.
          type: string
        source:
          description: >-
            URI indicating the location of the source model artifacts, used when
            creating model_version.
          type: string
        run_id:
          description: >-
            MLflow run ID used when creating model_version, if source was
            generated by an experiment run stored in MLflow tracking server.
          type: string
        status:
          $ref: '#/components/schemas/mlflow-proxy_ModelVersionStatus'
        status_message:
          description: Details on current status, if it is pending or failed.
          type: string
        tags:
          description: Additional metadata key-value pairs for this model_version.
          items:
            $ref: '#/components/schemas/mlflow-proxy_Tag'
          type: array
        run_link:
          description: >-
            Run Link: Direct link to the run that generated this version. This
            field is set at model version creation time only for model versions
            whose source run is from a tracking server that is different from
            the registry server.
          type: string
        aliases:
          description: >-
            Aliases pointing to model versions associated with this
            registered_model.
          items:
            type: string
          type: array
      required:
        - name
        - version
        - creation_timestamp
        - last_updated_timestamp
        - current_stage
        - description
        - source
        - status
        - tags
      type: object
    mlflow-proxy_ErrorResponse:
      properties:
        error_code:
          $ref: '#/components/schemas/mlflow-proxy_ErrorCode'
        message:
          description: Error message
          type: string
      required:
        - error_code
        - message
      type: object
    mlflow-proxy_ModelVersionStatus:
      type: string
      enum:
        - PENDING_REGISTRATION
        - FAILED_REGISTRATION
        - READY
    mlflow-proxy_Tag:
      properties:
        key:
          description: >-
            Name of the tag. Maximum size depends on storage backend.

            If a tag with this name already exists, its preexisting value will
            be replaced by the specified value. All storage backends are
            guaranteed to support key values up to 250 bytes in size. This field
            is required.
          type: string
        value:
          description: >-
            String value of the tag being logged. Maximum size depends on
            storage backend.

            All storage backends are guaranteed to support key values up to 5000
            bytes in size. This field is required.
          type: string
      required:
        - key
        - value
      type: object
    mlflow-proxy_ErrorCode:
      description: Error code
      enum:
        - INTERNAL_ERROR
        - INVALID_STATE
        - DATA_LOSS
        - NOT_IMPLEMENTED
        - TEMPORARILY_UNAVAILABLE
        - DEADLINE_EXCEEDED
        - CANCELLED
        - RESOURCE_EXHAUSTED
        - REQUEST_LIMIT_EXCEEDED
        - ABORTED
        - RESOURCE_CONFLICT
        - ALREADY_EXISTS
        - NOT_FOUND
        - ENDPOINT_NOT_FOUND
        - RESOURCE_DOES_NOT_EXIST
        - PERMISSION_DENIED
        - CUSTOMER_UNAUTHORIZED
        - UNAUTHENTICATED
        - BAD_REQUEST
        - RESOURCE_ALREADY_EXISTS
        - INVALID_PARAMETER_VALUE
      type: string
  responses:
    mlflow-proxy_MLflowNativeError:
      description: The client issued a bad request to the server
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/mlflow-proxy_ErrorResponse'

````

## Related topics

- [The python-domino library](/cloud/reference/python-sdk/python-domino.md)
- [Search registered models](/api-reference/mlflow-models/get-api20mlflowregistered-modelssearch.md)
- [Search LoggedModels](/api-reference/mlflow-models/search-loggedmodels.md)
- [Domino endpoint security](/cloud/platform-capabilities/features/model-deployment/security.md)
